%define name		wengsoftsnmp
%define version		3
%define release		1jpp
%define	section		non-free

Name:		%{name}
Summary:	SNMP toolkit
Url:		http://www.simpleweb.org/software/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Free but no source
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	http://www.simpleweb.org/software/packages/snmpv3tk.zip
NoSource:	0
BuildRequires:  jpackage-utils >= 0:1.5
Requires:       jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
SNMP toolkit in java, supports v1, v2 and v3

%prep
%setup -T -c -n %{name}-%{version}
unzip -q %{SOURCE0}
chmod -R go=u-w *

%build
# nope

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 snmpdown/lib/snmpv3.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
rm -rf snmpdown/lib

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr * $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme.txt
%{_javadir}/*
%{_datadir}/%{name}-%{version}

%changelog
* Wed Jul 14 2004 Ralph Apel <r.apel at r-apel.de> 0:%{version}-1jpp
- First JPackage release
